#ifndef SERVERS_HPP
#define SERVERS_HPP

#include <string>
#include <vector>

#include "service_runner.hpp" // for ServiceStatus

namespace dropshell {

    // Server information structure
    struct ServerInfo {
        std::string name;
        std::string ssh_host;
        std::string ssh_user;
        std::string ssh_port;
    };

    std::vector<ServerInfo> get_configured_servers();
    void list_servers();
    void show_server_details(const std::string& server_name);

    void create_server(const std::string& server_name);
   
    void get_all_used_commands(std::set<std::string> &commands);

} // namespace dropshell

#endif // SERVERS_HPP
